Subject: Re: [LAST CALL] [PATCH] [NET_SCHED]make qdisc_restart more readable

From: Patrick McHardy <[email-masked]>
Date: Mon, 14 May 2007 12:40:12 +0200

jamal wrote:
> Ok, I am upgrading this to last call after taking in Patricks feedback.
> Speak now - or send patches against it later. 
> Dave, just let it simmer down for a day or two, then if no complaints,
> go ahead and apply it. It is against net-2.6
> Many thanks to Thomas, Peter and Patrick for their reviews.

Two final suggestions, sorry for not mentioning this earlier.

> +			printk(KERN_DEBUG
> +			       "Dead loop on netdevice %s, fix it urgently!\n",
> +			       dev->name);

> +	if (unlikely (ret != NETDEV_TX_BUSY && net_ratelimit()))
> +		printk(KERN_DEBUG " BUG %s code %d qlen %d\n",dev->name, ret, q->q.qlen);

For both of these KERN_WARNING or above seems to make sense so
the messages don't end up in some debug log. Please also fix
whitespace and line length for the second printk if you're
going to change this :)